Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1083104 - engine-setup --offline does not update versionlock
Summary: engine-setup --offline does not update versionlock
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Setup.Engine
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
urgent
high vote
Target Milestone: ovirt-3.6.2
: 3.6.2
Assignee: Simone Tiraboschi
QA Contact: Lukas Svaty
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-01 13:35 UTC by Yedidyah Bar David
Modified: 2016-02-18 11:00 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: a bug in engine-setup running in offline mode Consequence: cause version lock wasn't written inside the appliance on versions < 3.6.2: yum update cause ovirt-engine packages to be updated without a database update by engine-setup. Workaround (if any): avoid to use --offline on verson < 3.6.2; in hosted-engine deployment with the appliance avoid to use the automatic setup. When upgrading appliance from a previous version to 3.6.2 be sure to upgrade setup packages only: yum update "ovirt-engine-setup*" and then run engine-setup. Result:
Clone Of:
Environment:
Last Closed: 2016-02-18 11:00:44 UTC
oVirt Team: Integration
rule-engine: ovirt-3.6.z+
rule-engine: blocker+
mgoldboi: planning_ack+
sbonazzo: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1124322 None None None Never
oVirt gerrit 50333 master MERGED packaging: setup: updating versionlock also if used with --offline 2015-12-21 15:49:57 UTC
oVirt gerrit 50335 ovirt-engine-3.6 MERGED packaging: setup: updating versionlock also if used with --offline 2015-12-22 09:52:44 UTC
oVirt gerrit 50869 ovirt-engine-3.6.2 MERGED packaging: setup: updating versionlock also if used with --offline 2015-12-22 10:14:51 UTC

Internal Links: 1124322

Description Yedidyah Bar David 2014-04-01 13:35:04 UTC
Description of problem:

See Summary.

Version-Release number of selected component (if applicable):

3.3

How reproducible:
Always

Steps to Reproduce:
1. engine-setup --offline on a clean machine
2.
3.

Actual results:

yum versionlock is not updated

Expected results:

yum versionlock is updated

Additional info:

Comment 1 Sandro Bonazzola 2015-09-04 08:58:27 UTC
This is an automated message.
This Bugzilla report has been opened on a version which is not maintained anymore.
Please check if this bug is still relevant in oVirt 3.5.4.
If it's not relevant anymore, please close it (you may use EOL or CURRENT RELEASE resolution)
If it's an RFE please update the version to 4.0 if still relevant.

Comment 2 Yedidyah Bar David 2015-09-16 07:07:33 UTC
Still relevant, AFAIK.

Comment 3 Red Hat Bugzilla Rules Engine 2015-10-19 10:53:51 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 4 Sandro Bonazzola 2015-12-11 15:56:07 UTC
Re-targeting to 3.6.2 since it affects appliance setup in Hosted Engine setup workflow

Comment 5 Simone Tiraboschi 2015-12-11 16:36:13 UTC
The patch http://gerrit.ovirt.org/50333 will fix for future executions of engine-setup.

Who run 'engine-setup --offline' in the past or used the engine appliance from hosted-engine-setup with unattended execution of engine-setup should manually fix their version-lock file before running yum update:

/etc/yum/pluginconf.d/versionlock.list
should contain 

ovirt-engine-webadmin-portal-3.6.{version}.el7.centos.noarch
ovirt-engine-wildfly-8.2.1-1.el7.x86_64
ovirt-engine-restapi-3.6.{version}.el7.centos.noarch
ovirt-engine-dbscripts-3.6.{version}.el7.centos.noarch
ovirt-engine-userportal-3.6.{version}.el7.centos.noarch
ovirt-engine-3.6.{version}.el7.centos.noarch
ovirt-engine-backend-3.6.{version}.el7.centos.noarch
ovirt-engine-wildfly-overlay-8.0.4-1.el7.noarch
ovirt-engine-tools-3.6.{version}.el7.centos.noarch

Please substitute {version} with the rpm version on disk.

Comment 6 Sandro Bonazzola 2015-12-23 13:40:30 UTC
oVirt 3.6.2 RC1 has been released for testing, moving to ON_QA

Comment 7 Lukas Svaty 2016-01-21 13:47:09 UTC
verified in rhevm-setup-3.6.2.6-0.1.el6.noarch


Note You need to log in before you can comment on or make changes to this bug.